Subject: [PATCH] mmc: move regulator handling to core

From: [email-masked] (Mark Brown)
Date: Tue, 31 Aug 2010 12:07:58 +0100

On Sun, Aug 29, 2010 at 05:30:48PM +0200, Linus Walleij wrote:
> 2010/8/29 Mark Brown <[email-masked]>:

> > This seems like the wrong approach; if there's a problem it'd seem much
> > better to fix the core code that everything is sharing rather than
> > factor it out - the location of the code is orthogonal to its
> > helpfulness.

> I actually did not move the essential regulator bits out just enable/disable,
> so that these were in the sites where the regulators were actually
> enabled/disabled in respective driver. That makes the internal
> regulator reference count do the trick.

I'm not sure what "the sites where the regulators were actually
enabled/disabled in respective driver" are but my understanding was that
there's a bit of an issue here in that the MMC core does not guarantee
balanced enable/disable calls.